---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libpopframe010.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x52180, symBinAddr: 0xC320, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x540C0, symBinAddr: 0xE260, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x544B0, symBinAddr: 0xE650, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x55450, symBinAddr: 0xF5F0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x55460, symBinAddr: 0xF600, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x51CA0, symBinAddr: 0xC080, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x51CA4, symBinAddr: 0xC084, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x51CA8, symBinAddr: 0xC088, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x51E00, symBinAddr: 0xC090, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x51EB8, symBinAddr: 0xC148, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x51EBC, symBinAddr: 0xC14C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x51EC0, symBinAddr: 0xC150, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x51EC4, symBinAddr: 0xC154, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x51EC8, symBinAddr: 0xC158, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x51ED0, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x51EE8, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x51EF0, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x51EF8, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x51F00, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x51F08, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x90BE, offset: 0x90BE, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x51F4C, symBinAddr: 0xC1AC, symSize: 0x0 }
  - { offsetInCU: 0x90DE, offset: 0x90DE, size: 0x8, addend: 0x0, symName: __ZL9printdump, symObjAddr: 0x51F4D, symBinAddr: 0xC1AD, symSize: 0x0 }
  - { offsetInCU: 0x90FE, offset: 0x90FE, size: 0x8, addend: 0x0, symName: __ZL13midCheckPoint, symObjAddr: 0x51F50, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x9117, offset: 0x9117, size: 0x8, addend: 0x0, symName: __ZL6midRun, symObjAddr: 0x51F58, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x9130, offset: 0x9130, size: 0x8, addend: 0x0, symName: __ZL11framesCount, symObjAddr: 0x51F60, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x9149, offset: 0x9149, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x51F68, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x9162, offset: 0x9162, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x51F70, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x917B, offset: 0x917B, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x51F80, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x9194, offset: 0x9194, size: 0x8, addend: 0x0, symName: __ZL14framesExpected, symObjAddr: 0x520B8, symBinAddr: 0xC318, symSize: 0x0 }
  - { offsetInCU: 0x91E6, offset: 0x91E6, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x3E80, symSize: 0x80 }
  - { offsetInCU: 0x927B, offset: 0x927B, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x3DD0, symSize: 0xB0 }
  - { offsetInCU: 0x92D6, offset: 0x92D6, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x3CD0, symSize: 0x100 }
  - { offsetInCU: 0x9569, offset: 0x9569, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x3F00, symSize: 0x220 }
  - { offsetInCU: 0x974E, offset: 0x974E, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x4120, symSize: 0xA0 }
  - { offsetInCU: 0x9801, offset: 0x9801, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x41C0, symSize: 0x110 }
  - { offsetInCU: 0x98F7, offset: 0x98F7, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x42D0, symSize: 0x150 }
  - { offsetInCU: 0x9A28, offset: 0x9A28, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x4420, symSize: 0x30 }
  - { offsetInCU: 0x9B09, offset: 0x9B09, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x4450, symSize: 0x150 }
  - { offsetInCU: 0x9D01, offset: 0x9D01, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x45A0, symSize: 0x160 }
  - { offsetInCU: 0x9E8D, offset: 0x9E8D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x4700, symSize: 0x1B0 }
  - { offsetInCU: 0xA0A8, offset: 0xA0A8, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x48B0, symSize: 0xA0 }
  - { offsetInCU: 0xA177, offset: 0xA177, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x4950, symSize: 0x20 }
  - { offsetInCU: 0xA1AE, offset: 0xA1AE, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x4970, symSize: 0x20 }
  - { offsetInCU: 0xA1E5, offset: 0xA1E5, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x4990, symSize: 0x20 }
  - { offsetInCU: 0xA398, offset: 0xA398, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x49B0, symSize: 0x1A0 }
  - { offsetInCU: 0xA6BE, offset: 0xA6BE, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x4B50, symSize: 0x80 }
  - { offsetInCU: 0xA787, offset: 0xA787, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x4BD0, symSize: 0x6A0 }
  - { offsetInCU: 0xB31C, offset: 0xB31C, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA550, symBinAddr: 0x62B0, symSize: 0xB0 }
  - { offsetInCU: 0xB393, offset: 0xB393, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x5270, symSize: 0x70 }
  - { offsetInCU: 0xB4DF, offset: 0xB4DF, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x52E0, symSize: 0xA0 }
  - { offsetInCU: 0xB636, offset: 0xB636, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x5380, symSize: 0x40 }
  - { offsetInCU: 0xB72C, offset: 0xB72C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x53C0, symSize: 0x2B0 }
  - { offsetInCU: 0xBAD2, offset: 0xBAD2, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x5670, symSize: 0xC0 }
  - { offsetInCU: 0xBC18, offset: 0xBC18, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x5730, symSize: 0x10 }
  - { offsetInCU: 0xBCDA, offset: 0xBCDA, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x5740, symSize: 0x220 }
  - { offsetInCU: 0xBFD7, offset: 0xBFD7, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x5960, symSize: 0x10 }
  - { offsetInCU: 0xC034, offset: 0xC034, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x5970, symSize: 0x190 }
  - { offsetInCU: 0xC203, offset: 0xC203, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9DA0, symBinAddr: 0x5B00, symSize: 0x10 }
  - { offsetInCU: 0xC2DC, offset: 0xC2DC, size: 0x8, addend: 0x0, symName: _check, symObjAddr: 0x9DB0, symBinAddr: 0x5B10, symSize: 0x460 }
  - { offsetInCU: 0xC74D, offset: 0xC74D, size: 0x8, addend: 0x0, symName: _Breakpoint, symObjAddr: 0xA210, symBinAddr: 0x5F70, symSize: 0x110 }
  - { offsetInCU: 0xC8A9, offset: 0xC8A9, size: 0x8, addend: 0x0, symName: _SingleStep, symObjAddr: 0xA320, symBinAddr: 0x6080, symSize: 0xC0 }
  - { offsetInCU: 0xC9D6, offset: 0xC9D6, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_PopFrame_popframe010_getReady, symObjAddr: 0xA3E0, symBinAddr: 0x6140, symSize: 0x130 }
  - { offsetInCU: 0xCB73, offset: 0xCB73, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_PopFrame_popframe010_check, symObjAddr: 0xA510, symBinAddr: 0x6270, symSize: 0x40 }
  - { offsetInCU: 0xCBAF, offset: 0xCBAF, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA600, symBinAddr: 0x6360, symSize: 0x36A }
...
